﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace XamDataTreeDemo
{
    class ViewModel
    {
        public ObservableCollection<Parent> Data { get; set; }

        Parent sr1 = new Parent() { ParentName = "SR1" };
        Parent sr2 = new Parent() { ParentName = "SR2" };


        FirstChild sr11 = new FirstChild() { FirstChildName = "SR11" };
        FirstChild sr12 = new FirstChild() { FirstChildName = "SR12" };
        FirstChild sr13 = new FirstChild() { FirstChildName = "SR13" };
        FirstChild sr21 = new FirstChild() { FirstChildName = "SR21" };

        SecondChild sr134 = new SecondChild() { SecondChildName = "SR134" };

        ThirdChild sr1345 = new ThirdChild() { ThirdChildName = "SR1345" };




        public ViewModel()
        {
            Data = new ObservableCollection<Parent>();

            sr1.Data1.Add(sr11);
            sr1.Data1.Add(sr12);
            sr1.Data1.Add(sr13);

            sr13.Data2.Add(sr134);

            sr134.Data3.Add(sr1345);

            sr2.Data1.Add(sr21);

            Data.Add(sr1);
            Data.Add(sr2);
        }


    }

    public class Parent
    {
        public ObservableCollection<FirstChild> Data1 { get; set; }
        public string ParentName { get; set; }

        public Parent()
        {
            Data1 = new ObservableCollection<FirstChild>();
        }

    }

    public class FirstChild
    {
        public ObservableCollection<SecondChild> Data2 { get; set; }
        public string FirstChildName { get; set; }

        public FirstChild()
        {
            Data2 = new ObservableCollection<SecondChild>();
        }
    }

    public class SecondChild
    {
        public ObservableCollection<ThirdChild> Data3 { get; set; }
        public string SecondChildName { get; set; }

        public SecondChild()
        {
            Data3 = new ObservableCollection<ThirdChild>();
        }
    }

    public class ThirdChild
    {
        public string ThirdChildName { get; set; }
    }
}
